﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseDraggableMarkers.aspx.cs"
    Inherits="CSSamples.UseDraggableMarkers" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Draggable Markers</title>

    <script language="javascript" type="text/javascript">
        var tgMap = null;

        // implement this method to handle event while dragging.
        var DragMarker = function(e) {
            var newXY = e.xy;
            // mess is a div to display the event arguments.
            $get('mess').innerHTML = newXY;
        }

        var OnMapCreated = function(map) {
            var dragOverlay = map.getLayer("MarkerOverlay");
            map.events.register('mousemove', dragOverlay, function(e) {
                if (this.isDragging && this.selectedMarker != null) {
                    DragMarker(e);
                }
            })
            tgMap = map;
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <div>
                <h5>Message Box</h5>
                <div id="mess" style="position: absolute; z-index: 9999; top: 10px; left: 100px;
                    background-color: White; border: solid 2px #666666; width:100px;">
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
